## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-importlib-resources
Version:        6.5.2
Release:        %autorelease
Summary:        Backport of the importlib.resources module

License:        Apache-2.0
URL:            https://github.com/python/importlib_resources
Source:         %{pypi_source importlib_resources}

BuildArch:      noarch
BuildRequires:  python3-devel
%if 0%{?epel} == 9
# Change the build backend in EPEL9 because `setuptools>=61.2` is needed for PEP621
BuildRequires:  tomcli
%endif

%global _description %{expand:
importlib_resources is a backport of Python standard library importlib.resources
module for older Pythons.

The key goal of this module is to replace parts of pkg_resources with a solution in
Python's stdlib that relies on well-defined APIs. This makes reading resources
included in packages easier, with more stable and consistent semantics.}

%description %_description

%package -n python3-importlib-resources
Summary:        %{summary}
%description -n python3-importlib-resources %_description


%prep
%autosetup -n importlib_resources-%{version}
%if 0%{?epel} == 9
tomcli set pyproject.toml lists str "build-system.requires" "hatchling" "hatch-vcs"
tomcli set pyproject.toml str "build-system.build-backend" "hatchling.build"
tomcli set pyproject.toml str "tool.hatch.version.source" "vcs"
%endif


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files importlib_resources


%check
%pytest %{?el9:--import-mode prepend}


%files -n python3-importlib-resources -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Cristian Le <git@lecris.dev> - 6.5.2-1
- Update to 6.5.2

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 6.4.4-4
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Cristian Le <cristian.le@mpsd.mpg.de> - 6.4.4-2
- Make package buildable for epel>=9

* Mon Aug 26 2024 Cristian Le <cristian.le@mpsd.mpg.de> - 6.4.4-1
- import rhbz#2307512
## END: Generated by rpmautospec
